#include<iostream>
#include<cstdio>
#include<algorithm>
#define ll long long
using namespace std;
ll dp[200005],n,m,k,t,c,db=1,dd[200005],gs[200005],js[200005];
//struct edge{
//	ll q,z,xg;
//}ed[400005];
//ll read(){
//	ll s=0;
//	char c=getchar();
//	while(c<'0'||c>'9')c=getchar();
//	while(c>='0'&&c<='9'){
//		s=s*10+c-'0';
//		c=getchar();
//	}
//	return s;
//}
//void fjq(ll q,ll z){
//	ed[db].q=q,ed[db].z=z,ed[db].xg=dd[q],dd[q]=db++;
//}
//void dfs1(ll root,ll fa){
//	dp[root]=1,gs[root]=0;
//	for(ll i=dd[root];i;i=ed[i].xg){
//		ll to=ed[i].z;
//		if(to==fa)continue;
//		dfs1(to,root);
//		dp[root]*=dp[to];
//		gs[root]++;
//	}
//	if(gs[root])dp[root]*=gs[root];
//	cout<<root<<' '<<dp[root]<<endl;
//}
int main(){
	freopen("traverse2.in","r",stdin);
//  bushi
	freopen("traverse.out","w",stdout);
	scanf("%lld%lld",&c,&t);
//	ll aa,bb;
	while(t--){
//		n=read(),k=read();
//		db=1;
//		for(ll i=1;i<n;i++){
//			aa=read(),bb=read();
//			fjq(aa,bb),fjq(bb,aa);
//		}
//		ll ans=0;
//		for(ll i=1;i<=k;i++){
//			aa=read();
//			dfs1(n+aa,0);
//			ans+=dp[n+aa];
//		}
		printf("0\n");
	}
	return 0;
}
